Bug 522160 - No useful error output when there's a problem with a single RPM file
Summary: No useful error output when there's a problem with a single RPM file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:51 UTC by Adam Williamson
Modified: 2014-01-21 23:11 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-18 22:44:48 UTC


Attachments (Terms of Use)

Description Adam Williamson 2009-09-09 15:51:56 UTC
Trying to build a live CD for a test day this morning, I got into a situation where it seemed livecd-creator had got a bad download into its cache. Running it would just fail with the single-line error among the output:

error: not an rpm package

there was other output about how it couldn't umount various locations (which also seems like a bug - just because the creation process fails, it shouldn't leave a bunch of crap mounted), but that seems to be the operative error. Even with -v and -d parameters, though, neither the console output nor the debug log shows what particular package is causing the problem. This means there's no way I can just go in and remove that package and force it to be redownloaded; I have to wipe the entire cache and watch it redownload the entire package set.

When it hits an error in a particular RPM file, it should say which one.

Comment 1 Jeremy Katz 2009-09-14 23:36:52 UTC
That error is coming straight from yum (or actually, maybe RPM but I'd have to dig a little deeper to say)

Comment 2 Adam Williamson 2009-09-15 01:08:41 UTC
Sure. But when you're using yum or rpm directly, you can refine your command to isolate the package which is causing the problem. There's no way to do that when using the livecd-tools, so it's the responsibility of livecd-tools to log in such a way that the problem can be figured out.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Panu Matilainen 2009-09-15 07:18:23 UTC
The message indeed comes from rpm and I agree it's not exactly helpful. The issue is that the function logging that message doesn't *know* the filename (it only has the file descriptor). Fortunately this is an internal-only API so it can be easily changed...

Comment 4 seth vidal 2009-09-17 14:29:23 UTC
reassigning to rpm.

Comment 5 Bug Zapper 2009-11-16 12:07:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 10:08:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Adam Williamson 2010-11-05 22:24:49 UTC
afaik this is still valid, nothing changed.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Panu Matilainen 2011-07-07 10:05:30 UTC
Remembered this while looking at something else in that area, and actually...

The error message does come from rpm yes, but there's no way to report a file name there as rpm does not know it: it only gets a file descriptor from python, not a path.

Reassigning back to yum - only the caller knows the path and is responsible for reporting it on errors (rpmlog spew aside). Based on a brief skim over yum code, AFAICS it does report filenames on all package opening errors so this can probably be closed, but of course its possible I've missed something...

Comment 9 James Antill 2011-07-07 14:53:19 UTC
% touch /tmp/blah.rpm
% sudo yum in /tmp/blah.rpm
Loaded plugins: PT, aliases, auto-update-debuginfo, keys, noop, ps, security,
              : tmprepo, updater, verify, versionlock
Setting up Install Process
error: not an rpm package
Cannot open: /tmp/blah.rpm. Skipping.
Error: Nothing to do

...now I'm not guaranteeing we print the right thing all the time, but the obvious test works :).

Comment 10 Adam Williamson 2011-07-08 00:04:08 UTC
well, you just need to read back to my initial report to see where I saw the problematic output. in livecd-creator.

Comment 11 James Antill 2011-07-08 18:33:33 UTC
 Sure, but given that I've never run livecd-creator ... and that the bug was opened in Sept. 2009, I tested what I could and asked.

 Now the error message that you are seeing from yum there is from "installLocal", which is a public function ... I don't know if livecd-creator is calling that, but looking at the yum history it seems like the message has been there for a long time.

 Going to move to livecd-creator, not sure what else to do.

Comment 12 Fedora End Of Life 2013-04-03 18:28:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 13 Brian Lane 2013-12-18 22:44:48 UTC
livecd-creator is depending on yum's RPMInstallCallback from /usr/share/yum-cli so if it isn't providing enough info there isn't anything to be done.


Note You need to log in before you can comment on or make changes to this bug.